<?php 
/**
 *Compara tres múltiplos - compara_multiplos.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2012 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2012-02-17
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">\n"; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
       "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>Comparador de tres múltiplos (Resultado).  
  Exámenes. PHP. Bartolomé Sintes Marco</title>
  <link href="mclibre_php_soluciones.css" rel="stylesheet" type="text/css" 
  title="Color" />
</head>

<body>
<h1>Comparador de tres múltiplos (Resultado)</h1>
<?php
function recoge($var)
{ 
    $tmp = (isset($_REQUEST[$var])) ? strip_tags(trim(htmlspecialchars($_REQUEST[$var]))) : '';
    if (get_magic_quotes_gpc()) {
        $tmp = stripslashes($tmp);
    }
    return $tmp;
}

$numero1   = recoge('numero1');
$numero2   = recoge('numero2');
$numero3   = recoge('numero3');
$numero1Ok = FALSE;
$numero2Ok = FALSE;
$numero3Ok = FALSE;

if ($numero1=="") {
    print "<p class=\"aviso\">No ha escrito el primer número.</p>\n";
} elseif (!ctype_digit($numero1)) { 
    print "<p class=\"aviso\">No ha escrito el primer número como número "
        ."entero positivo (sin parte decimal).</p>\n";
} elseif ($numero1>=1000) {
    print "<p class=\"aviso\">El primer número no es inferior a 1.000.</p>\n";
} else {
    $numero1Ok = TRUE;
}

if ($numero2=="") {
    print "<p class=\"aviso\">No ha escrito el segundo numero.</p>\n";
} elseif (!ctype_digit($numero2)) { 
    print "<p class=\"aviso\">No ha escrito el segundo número como número "
        ."entero positivo (sin parte decimal).</p>\n";
} elseif ($numero2>=1000) {
    print "<p class=\"aviso\">El segundo número no es inferior a 1.000.</p>\n";
} else {
    $numero2Ok = TRUE;
}

if ($numero3=="") {
    print "<p class=\"aviso\">No ha escrito el tercer numero.</p>\n";
} elseif (!ctype_digit($numero3)) { 
    print "<p class=\"aviso\">No ha escrito el tercer número como número "
        ."entero positivo (sin parte decimal).</p>\n";
} elseif ($numero3>=1000) {
    print "<p class=\"aviso\">El tercer número no es inferior a 1.000.</p>\n";
} else {
    $numero3Ok = TRUE;
}

if ($numero1Ok && $numero2Ok && $numero3Ok) {
    print "<p>Primer número (A): <strong>$numero1</strong></p>\n";
    print "<p>Segundo número (B): <strong>$numero2</strong></p>\n";
    print "<p>Tercer número (C): <strong>$numero3</strong></p>\n";
    if (($numero1==0)&&($numero2==0)&&($numero3==0)) {
        print "<p>Los tres números son cero. Cualquiera de ellos es múltiplo de los otros dos.</p>\n";
    } else if (($numero1==1)&&($numero2==1)&&($numero3==1)) {
        print "<p>Cualquiera de ellos es múltiplo de los otros dos.</p>\n";
    } elseif (($numero1==0)&&($numero2==0)) {
        print "<p>A es múltiplo de los otros dos y B también.</p>\n";
    } elseif (($numero2==0)&&($numero3==0)) {
        print "<p>B es múltiplo de los otros dos y C también.</p>\n";
    } elseif (($numero1==0)&&($numero3==0)) {
        print "<p>A es múltiplo de los otros dos y C también.</p>\n";
    } elseif (($numero1==0)||($numero2==0)||($numero3==0)) {
        print "<p>Ningún número es múltiplo de los otros dos.</p>\n";
    } elseif ((($numero1%$numero2)==0) && (($numero1%$numero3)==0)) {
            print "<p>$numero1 es múltiplo de $numero2 y $numero3.</p>\n";
    } elseif ((($numero2%$numero1)==0) && (($numero2%$numero3)==0)) {
            print "<p>$numero2 es múltiplo de $numero1 y $numero3.</p>\n";
    } elseif ((($numero3%$numero1)==0) && (($numero3%$numero2)==0)) {
            print "<p>$numero3 es múltiplo de $numero1 y $numero2.</p>\n";
    } else {
        print "<p>Ningún número es múltiplo de los otros dos.</p>\n";
    }
}
print "<p><a href=\"compara_multiplos.html\">Volver al formulario.</a></p>\n";
?>

<address>
  Esta página forma parte del curso "Páginas web con PHP" disponible en <a
  href="http://www.mclibre.org/">http://www.mclibre.org</a><br />
  Autor: Bartolomé Sintes Marco<br />
  Última modificación de esta página: 17 de febrero de 2012
</address>
<p class="licencia">El programa PHP que genera esta página está bajo 
<a rel="license" href="http://www.gnu.org/licenses/agpl.txt">licencia AGPL 3 o
posterior</a>.</p>
</body>
</html>
